v.db.addcolumn(1)

NAME
v.db.addcolumn - Adds one or more columns to the attribute table connected to a given vector map.

KEYWORDS
vector, attribute table, database

SYNOPSIS
v.db.addcolumn
v.db.addcolumn --help
v.db.addcolumn map=name [layer=string] columns=name type[,name type,...] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of vector map
    Or data source for direct OGR access

layer=string
    Layer number where to add column(s)
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 1

columns=name type[,name type,...] [required]
    Name and type of the new column(s) (’name type [,name type, ...]’)
    Types depend on database backend, but all support VARCHAR(), INT, DOUBLE PRECISION and DATE. Example: ’label varchar(250), value integer’

DESCRIPTION
v.db.addcolumn adds one or more column(s) to the attribute table connected to a given vector map. It automatically checks the connection for the specified layer.

NOTES
v.db.addcolumn is a front-end to db.execute to allow easier usage. The supported types of columns depend on the database backend. However, all backends should support VARCHAR, INT, DOUBLE PRECISION and DATE.

The existing database connection(s) can be verified with v.db.connect.

EXAMPLES
Adding a single column:

g.copy vect=roadsmajor,myroads
v.db.addcolumn myroads columns="slope double precision"
v.info -c myroads

Adding two columns:

g.copy vect=roadsmajor,myroads
v.db.addcolumn myroads columns="slope double precision,myname varchar(15)"
v.info -c myroads

SEE ALSO
db.connect, db.execute, v.db.addtable, v.db.connect, v.db.dropcolumn, v.db.droptable, v.db.select, v.db.update
GRASS SQL interface

AUTHOR
Moritz Lennert (mlennert@club.worldonline.be)

Last changed: $Date$

SOURCE CODE

Available at: v.db.addcolumn source code (history)

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual